# LEA GUI
_**
This project demonstrates the energy and performance benefits of using the Low Energy Accelerator(LEA) to perform vector-based signal processing operations on select MSP430 microcontrollers. The demo also takes advantage of MSP Energy Trace technology to capture power data during application execution on the MCU.

## Requirements
_**
_**Target Hardware:**_
* A LaunchPad development kit containing an MSP430 with the LEA module

_**Target Software:**_
* There are several ways to load the necessary firmware onto the MSP430:
   * Check "Auto load program on connect" then click the "Connect" button
   * Uncheck "Auto load program on connect", click the "Connect" button, and then click "Program Device"

## Instructions
_**

1. If the LaunchPad contains an SD Card, remove it
   * Required for proper Energy Trace readings
2. Connect the LaunchPad to your PC via the USB connector
   * Follow the above instructions to program the device
3. Select desired function from the "Function" drop-down
4. Select the desired "Length"
   * Range: 16 - 256
5. Select the desired "Order" if applicable
   * Range (FIR): 2 - 256
   * Range (BIQ): 2 - 32
6. Press the Play button to start demo
   * Power and CPU data will appear in bar graphs
   * Demo will take ~10 sec